/* Alarm, alarm-clock functions of LCARS 24 */

/* This program is free software. You may redistribute and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 2 of the License or
 * (at your option) any later version.
 *
 * Refer to the file C:\LCARS24\DATA\COPYING.TXT for details.
 */


#ifndef ALARM_H
#define ALARM_H


#include "lcars24.h"
#include "parts.h"
#include "getkey.h"
#include "mars28.h"
#include "brack1.h"
#include "playwav.h"
#include "lccolor.h"
#include "standby.h"
#include "scrnshot.h"
#include "headline.h"
#include "calendar.h"


void NextMonthCalender(char Displayed);
int SnoozeMode();
int AlarmDisplay();
int LcarsPlayMidi(char *filespec);
int Play(char *Song);
void DosTimeKick();
void PlayInRotation(int ListStart);
void MidiDJ();
void LoadAlarm();
void SaveAlarm();
void AlarmMessageBox1a(int Hue);
void AlarmMessageBox2a(int Hue);
void Mp3AlarmMessageBox2a(int Hue);
void Mp3Alarm();
void VoiceAlarm();
void RedAlert();
int MidiMusicMode();
int Mp3MusicMode();


#endif

